/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Base, String_$type, markType } from "./type";
import { Dictionary$2 } from "./Dictionary$2";
import { DataLegendDescription } from "./DataLegendDescription";
/**
 * @hidden
 */
var DataLegendDescriptionMetadata = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(DataLegendDescriptionMetadata, _super);
    function DataLegendDescriptionMetadata() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DataLegendDescriptionMetadata.b = function (a) {
        if (DataLegendDescriptionMetadata.a == null) {
            DataLegendDescriptionMetadata.a = new Dictionary$2(String_$type, String_$type, 0);
            DataLegendDescriptionMetadata.c(DataLegendDescriptionMetadata.a);
        }
        if (a.g(DataLegendDescriptionMetadata.a)) {
            return;
        }
        a.s(DataLegendDescriptionMetadata.a);
    };
    DataLegendDescriptionMetadata.c = function (a) {
        a.item("PixelScalingRatio", "Number:double");
        a.item("ActualPixelScalingRatio", "Number:double");
        a.item("TargetRef", "(w:Target,wf:Target)DataRef::object");
        a.item("RowMarginBottom", "(w:RowMargin.Bottom,wf:RowMarginBottom)Number:double");
        a.item("RowMarginLeft", "(w:RowMargin.Left,wf:RowMarginLeft)Number:double");
        a.item("RowMarginRight", "(w:RowMargin.Right,wf:RowMarginRight)Number:double");
        a.item("RowMarginTop", "(w:RowMargin.Top,wf:RowMarginTop)Number:double");
        a.item("ColumnSpacing", "Number:double");
        a.item("BadgeMarginBottom", "(w:BadgeMargin.Bottom,wf:BadgeMarginBottom)Number:double");
        a.item("BadgeMarginLeft", "(w:BadgeMargin.Left,wf:BadgeMarginLeft)Number:double");
        a.item("BadgeMarginRight", "(w:BadgeMargin.Right,wf:BadgeMarginRight)Number:double");
        a.item("BadgeMarginTop", "(w:BadgeMargin.Top,wf:BadgeMarginTop)Number:double");
        a.item("DisplayTextMarginBottom", "(w:DisplayTextMargin.Bottom,wf:displayTextMarginBottom)Number:double");
        a.item("DisplayTextMarginLeft", "(w:DisplayTextMargin.Left,wf:displayTextMarginLeft)Number:double");
        a.item("DisplayTextMarginRight", "(w:DisplayTextMargin.Right,wf:displayTextMarginRight)Number:double");
        a.item("DisplayTextMarginTop", "(w:DisplayTextMargin.Top,wf:displayTextMarginTop)Number:double");
        a.item("ValueTextMarginBottom", "(w:ValueTextMargin.Bottom,wf:ValueTextMarginBottom)Number:double");
        a.item("ValueTextMarginLeft", "(w:ValueTextMargin.Left,wf:ValueTextMarginLeft)Number:double");
        a.item("ValueTextMarginRight", "(w:ValueTextMargin.Right,wf:ValueTextMarginRight)Number:double");
        a.item("ValueTextMarginTop", "(w:ValueTextMargin.Top,wf:ValueTextMarginTop)Number:double");
        a.item("HeaderText", "String");
        a.item("SummaryText", "String");
        a.item("TargetCursorPositionX", "Number:double");
        a.item("TargetCursorPositionY", "Number:double");
        a.item("TargetAxisValue", "Unknown");
    };
    DataLegendDescriptionMetadata.d = function (a) {
        DataLegendDescriptionMetadata.b(a);
        a.u("DataLegend", function () { return new DataLegendDescription(); });
        a.t("DataLegend", DataLegendDescriptionMetadata.a);
    };
    DataLegendDescriptionMetadata.$t = markType(DataLegendDescriptionMetadata, 'DataLegendDescriptionMetadata');
    DataLegendDescriptionMetadata.a = null;
    return DataLegendDescriptionMetadata;
}(Base));
export { DataLegendDescriptionMetadata };
